Eclipse Platform Release 3.7

## org.eclipse.ui.views.properties.tabbed
Class TabbedPropertySheetWidgetFactory

    java.lang.Object
      org.eclipse.ui.forms.widgets.FormToolkit
          org.eclipse.ui.views.properties.tabbed.TabbedPropertySheetWidgetFactory

    public class TabbedPropertySheetWidgetFactory

extends FormToolkit

A FormToolkit customized for use by tabbed property sheet page.

Field Summary

Fields inherited from class org.eclipse.ui.forms.widgets.FormToolkit
`KEY_DRAW_BORDER, TEXT_BORDER, TREE_BORDER`

Constructor Summary
`TabbedPropertySheetWidgetFactory()` private constructor.

Method Summary
`CCombo` `createCCombo(Composite parent)` Creates a combo box as a part of the form.
`CCombo` `createCCombo(Composite parent, int comboStyle)` Creates a combo box as a part of the form.
`CLabel` `createCLabel(Composite parent, String text)` Creates a label as a part of the form.
`CLabel` `createCLabel(Composite parent, String text, int style)` Creates a label as a part of the form.
`Composite` `createComposite(Composite parent)` Creates the composite as a part of the form.
`Composite` `createComposite(Composite parent, int style)` Creates the composite as part of the form using the provided style.
`Composite` `createFlatFormComposite(Composite parent)` Creates a flat form composite as a part of the form.
`Group` `createGroup(Composite parent, String text)` Creates a group as a part of the form.
`List` `createList(Composite parent, int style)` Creates the list as a part of the form.
`Composite` `createPlainComposite(Composite parent, int style)` Creates a plain composite as a part of the form.
`ScrolledComposite` `createScrolledComposite(Composite parent, int style)` Creates a scrolled composite as a part of the form.
`CTabFolder` `createTabFolder(Composite parent, int style)` Creates the tab folder as a part of the form.
`CTabItem` `createTabItem(CTabFolder tabFolder, int style)` Creates the tab item as a part of the tab folder.
`void` `dispose()` Disposes the toolkit.

Methods inherited from class org.eclipse.ui.forms.widgets.FormToolkit

`adapt, adapt, createButton, createCompositeSeparator, createExpandableComposite, createForm, createFormText, createHyperlink, createImageHyperlink, createLabel, createLabel, createPageBook, createScrolledForm, createSection, createSeparator, createTable, createText, createText, createTree, decorateFormHeading, ensureVisible, getBorderMargin, getBorderStyle, getColors, getHyperlinkGroup, getOrientation, paintBordersFor, refreshHyperlinkColors, setBackground, setBorderStyle, setControlVisible, setOrientation`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TabbedPropertySheetWidgetFactory

    public TabbedPropertySheetWidgetFactory()

  private constructor.

Method Detail

### createTabFolder

    public CTabFolder createTabFolder(Composite parent,
                                      int style)

  Creates the tab folder as a part of the form.

  Parameters:
    `parent` - the composite parent.
    `style` - the tab folder style.
  Returns:
    the tab folder

### createTabItem

    public CTabItem createTabItem(CTabFolder tabFolder,
                                  int style)

  Creates the tab item as a part of the tab folder.

  Parameters:
    `tabFolder` - the parent.
    `style` - the tab folder style.
  Returns:
    the tab item.

### createList

    public List createList(Composite parent,
                           int style)

  Creates the list as a part of the form.

  Parameters:
    `parent` - the composite parent.
    `style` - the list style.
  Returns:
    the list.

### createComposite

    public Composite createComposite(Composite parent,
                                     int style)

  Description copied from class: `FormToolkit`
  Creates the composite as part of the form using the provided style.

  Overrides:
    `createComposite` in class `FormToolkit`
  Parameters:
    `parent` - the composite parent
    `style` - the composite style
  Returns:
    the composite widget

### createComposite

    public Composite createComposite(Composite parent)

  Description copied from class: `FormToolkit`
  Creates the composite as a part of the form.

  Overrides:
    `createComposite` in class `FormToolkit`
  Parameters:
    `parent` - the composite parent
  Returns:
    the composite widget

### createPlainComposite

    public Composite createPlainComposite(Composite parent,
                                          int style)

  Creates a plain composite as a part of the form.

  Parameters:
    `parent` - the composite parent.
    `style` - the composite style.
  Returns:
    the composite.

### createScrolledComposite

    public ScrolledComposite createScrolledComposite(Composite parent,
                                                     int style)

  Creates a scrolled composite as a part of the form.

  Parameters:
    `parent` - the composite parent.
    `style` - the composite style.
  Returns:
    the composite.

### createCCombo

    public CCombo createCCombo(Composite parent,
                               int comboStyle)

  Creates a combo box as a part of the form.

  Parameters:
    `parent` - the combo box parent.
    `comboStyle` - the combo box style.
  Returns:
    the combo box.

### createCCombo

    public CCombo createCCombo(Composite parent)

  Creates a combo box as a part of the form.

  Parameters:
    `parent` - the combo box parent.
  Returns:
    the combo box.

### createGroup

    public Group createGroup(Composite parent,
                             String text)

  Creates a group as a part of the form.

  Parameters:
    `parent` - the group parent.
    `text` - the group title.
  Returns:
    the composite.

### createFlatFormComposite

    public Composite createFlatFormComposite(Composite parent)

  Creates a flat form composite as a part of the form.

  Parameters:
    `parent` - the composite parent.
  Returns:
    the composite.

### createCLabel

    public CLabel createCLabel(Composite parent,
                               String text)

  Creates a label as a part of the form.

  Parameters:
    `parent` - the label parent.
    `text` - the label text.
  Returns:
    the label.

### createCLabel

    public CLabel createCLabel(Composite parent,
                               String text,
                               int style)

  Creates a label as a part of the form.

  Parameters:
    `parent` - the label parent.
    `text` - the label text.
    `style` - the label style.
  Returns:
    the label.

### dispose

    public void dispose()

  Description copied from class: `FormToolkit`
  Disposes the toolkit.

  Overrides:
    `dispose` in class `FormToolkit`

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.